name: open-webui-ollama
services:
  open-webui-ollama:
    image: ghcr.io/open-webui/open-webui@sha256:e8c591138f32d75d8b7f2b87985dd7b47254177a30269566abe565cf0ef20a4f
    runtime: nvidia
    ipc: host
    environment:
      CPU_FALLBACK: "true"
      NVIDIA_VISIBLE_DEVICES: all
    deploy:
      resources:
        reservations:
          memory: 512M
    network_mode: bridge
    ports:
      - target: 8080
        published: "3050"
        protocol: tcp
    restart: always
    volumes:
      - type: bind
        source: /DATA/AppData/open-webui-ollama/open-webui
        target: /app/backend/data
      - type: bind
        source: /DATA/AppData/open-webui-ollama/ollama
        target: /root/.ollama
    privileged: false
    container_name: open-webui-ollama
x-casaos:
  architectures:
    - amd64
  main: open-webui-ollama
  developer: Tim J. Baek
  category: Chat
  description:
    en_us: Open WebUI is an extensible, self-hosted interface for AI that adapts to your workflow, all while operating entirely offline.
    en_uk: Open WebUI is an extensible, self-hosted interface for AI that adapts to your workflow, all while operating entirely offline.
    zh_cn: Open WebUI 是一个可扩展的、自托管的 AI 界面，适应您的工作流程，完全离线运行。
    ja_jp: Open WebUI は、ワークフローに適応し、完全にオフラインで動作する AI のための拡張可能な自己ホスト型インターフェースです。
  icon: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/OpenWebUI/icon.png
  screenshot_link:
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/OpenWebUI/screenshot-1.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/OpenWebUI/screenshot-2.png
    - https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/OpenWebUI/screenshot-3.png
  thumbnail: https://cdn.jsdelivr.net/gh/IceWhaleTech/CasaOS-AppStore@main/Apps/OpenWebUI/thumbnail.png
  tagline:
    en_us: User-friendly WebUI for LLMs (Formerly Ollama WebUI)
    en_uk: User-friendly WebUI for LLMs (Formerly Ollama WebUI)
    zh_cn: 用户友好的 LLMs WebUI（前身为 Ollama WebUI）
    ja_jp: ユーザーフレンドリーな LLMs WebUI（旧 Ollama WebUI）
  tips:
    before_install:
      en_us: |
        **IMPORTANT NOTE ON USER ROLES AND PRIVACY:**
        - **Admin Creation**: The first account created on Open WebUI gains Administrator privileges, controlling user management and system settings.
        - **User Registrations**: Subsequent sign-ups start with Pending status, requiring Administrator approval for access.
        - **Privacy and Data Security**: All your data, including login details, is locally stored on your device. Open WebUI ensures strict confidentiality and no external requests for enhanced privacy and security.

        | Please refer to the [official documentation](https://docs.openwebui.com) for more information.

        **RESOURCES USAGE NOTICE:**
        Please be mindful of your device resources (CPU/GPU/RAM) usage to avoid overloading that may lead to device performance degradation.
      en_uk: |
        **IMPORTANT NOTE ON USER ROLES AND PRIVACY:**
        - **Admin Creation**: The first account created on Open WebUI gains Administrator privileges, controlling user management and system settings.
        - **User Registrations**: Subsequent sign-ups start with Pending status, requiring Administrator approval for access.
        - **Privacy and Data Security**: All your data, including login details, is locally stored on your device. Open WebUI ensures strict confidentiality and no external requests for enhanced privacy and security.

        | Please refer to the [official documentation](https://docs.openwebui.com) for more information.

        **RESOURCES USAGE NOTICE:**
        Please be mindful of your device resources (CPU/GPU/RAM) usage to avoid overloading that may lead to device performance degradation.
      zh_cn: |
        **关于用户角色和隐私的重要说明：**
        - **管理员创建**：在 Open WebUI 上创建的第一个帐户将获得管理员权限，控制用户管理和系统设置。
        - **用户注册**：随后的注册将以待定状态开始，需要管理员批准才能访问。
        - **隐私和数据安全**：您的所有数据，包括登录详细信息，都存储在您的设备上。Open WebUI 确保严格保密，不会有外部请求以增强隐私和安全性。

        | 请参阅[官方文档](https://docs.openwebui.com)以获取更多信息。

        **资源使用说明：**
        请留意您的设备资源(CPU/GPU/RAM)使用情况，以避免过度使用导致设备性能下降。
      ja_jp: |
        **ユーザー権限とプライバシーに関する重要な注意事項：**
        - **管理者の作成**: Open WebUI で最初に作成されたアカウントは、ユーザー管理とシステム設定を制御する管理者権限を取得します。
        - **ユーザー登録**: その後のサインアップは保留中の状態で開始され、管理者の承認が必要です。
        - **プライバシーとデータセキュリティ**: ログイン情報を含むすべてのデータは、ローカルに保存されます。Open WebUI は厳格な機密保持を確保し、プライバシーとセキュリティを強化するための外部リクエストは一切ありません。

        | 詳細については、[公式ドキュメント](https://docs.openwebui.com)を参照してください。

        **リソース使用の注意事項：**
        デバイスのリソース（CPU/GPU/RAM）の使用に注意して、デバイスのパフォーマンス低下を防ぐようにしてください。
  scheme: http
  store_app_id: open-webui-ollama
  title:
    en_us: Open WebUI
    en_uk: Open WebUI
    zh_cn: Open WebUI
    ja_jp: Open WebUI
  index: /
  port_map: "3050"
